std::basic_fstream::is_open(3)

NAME
std::basic_fstream::is_open - std::basic_fstream::is_open

Synopsis
   bool is_open(); (until C++11)
   bool is_open() const; (since C++11)
   Checks if the file stream has an associated file.
   Effectively calls rdbuf()->is_open().

Parameters
   (none)

Return value
   true if the file stream has an associated file, false otherwise

Example
// Run this code
 #include <string>
 #include <fstream>
 #include <iostream>
 int main()
 {
     std::string filename = "some_file";
     std::fstream fs(filename, std::ios::in);
     std::cout << std::boolalpha;
     std::cout << "fs.is_open() = " << fs.is_open() << '\n';
     if(!fs.is_open())
     {
        fs.clear();
        fs.open(filename, std::ios::out);
        std::cout << "fs.is_open() = " << fs.is_open() << '\n';
     }
 }

Possible output:
 fs.is_open() = false
 fs.is_open() = true

See also
   open opens a file and associates it with the stream
         (public member function)
   close closes the associated file
         (public member function)